=== debian/changelog ===
ros-noetic-ixblue-ins-driver (0.1.5-1buster) buster; urgency=high

  * Use new std_bin_decoder API to reconstruct incomplete frames
    Avoid the copy of the frame in this driver
  * Contributors: Romain Reignier

 -- Laure LE BRETON <laure.le-breton@ixblue.com>  Thu, 12 Nov 2020 23:00:00 -0000

ros-noetic-ixblue-ins-driver (0.1.4-1buster) buster; urgency=high

  * Add a param to use compensated acceleration (changes previous behavior)
  * Add diagnostics publication
  * Change default frame_id in launch to match node default
  * Fix orientation quaternion content and make NED convention explicit.
  * Bump minimum CMake version to avoid CMP0048 on Noetic buildfarm
  * Contributors: BARRAL Adrien, Romain Reignier

 -- Laure LE BRETON <laure.le-breton@ixblue.com>  Mon, 26 Oct 2020 23:00:00 -0000

ros-noetic-ixblue-ins-driver (0.1.3-1buster) buster; urgency=high

  * Add boost thread as test dependency to fix Debian Stretch build
  * Contributors: Romain Reignier

 -- Laure LE BRETON <laure.le-breton@ixblue.com>  Mon, 31 Aug 2020 22:00:00 -0000

ros-noetic-ixblue-ins-driver (0.1.2-1buster) buster; urgency=high

  * Fix packets_replayer build by adding CMake package Threads
  * Contributors: Romain Reignier

 -- Laure LE BRETON <laure.le-breton@ixblue.com>  Sun, 30 Aug 2020 22:00:00 -0000

ros-noetic-ixblue-ins-driver (0.1.1-1buster) buster; urgency=high

  * Fix boost dependency for Noetic release
    Only build the packets_replayer if tests are being built
  * Breaking change: Rename ins.msg to Ins.msg and iX/ins topic to ix/ins topic to follow ROS coding style
    - In ROS, message names are CamelCase
    - Topics are in lower case
  * Publish ROS time in header of TimeReference message
  * Contributors: BARRAL Adrien, Romain Reignier

 -- Laure LE BRETON <laure.le-breton@ixblue.com>  Thu, 27 Aug 2020 22:00:00 -0000

ros-noetic-ixblue-ins-driver (0.1.0-1buster) buster; urgency=high

  * Prepare ROS release
  * Add unit test on ROSPublisher::toNavSatFix()
  * Prepare files catkin for release
  * Switch stdbin data received log to debug level
  * Default packets_replayer port is now the same than driver
    And add missing newline at the end of error message
  * ixblue_stdbin_decoder can now be a package within the ROS workspace and
    not only a system library anymore
  * Apply ixblue_stdbin_decoder changes on namespace and include dir name
  * Build packets_replayer only if PCAP dev package is found
  * Initial Commit.
  * Contributors: Adrien BARRAL, Romain Reignier

 -- Laure LE BRETON <laure.le-breton@ixblue.com>  Wed, 26 Aug 2020 22:00:00 -0000
