=== debian/control ===
Source: ros-noetic-ixblue-ins-driver
Section: misc
Priority: optional
Maintainer: Laure LE BRETON <laure.le-breton@ixblue.com>
Build-Depends: debhelper (>= 9.0.0), libboost-dev, libboost-program-options-dev, libboost-system-dev, libboost-thread-dev, libpcap0.8-dev, ros-noetic-catkin, ros-noetic-diagnostic-msgs, ros-noetic-diagnostic-updater, ros-noetic-ixblue-ins-msgs, ros-noetic-ixblue-stdbin-decoder, ros-noetic-nav-msgs, ros-noetic-roscpp, ros-noetic-sensor-msgs
Homepage: http://wiki.ros.org/ixblue_ins_driver
Standards-Version: 3.9.2

Package: ros-noetic-ixblue-ins-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-dev, libboost-system-dev, ros-noetic-diagnostic-msgs, ros-noetic-diagnostic-updater, ros-noetic-ixblue-ins-msgs, ros-noetic-ixblue-stdbin-decoder, ros-noetic-nav-msgs, ros-noetic-roscpp, ros-noetic-sensor-msgs
Description: The iXblue_ins_driver package
